using System;
using OrderStacks.model.card.cardType;

namespace OrderStacks.model.deck
{
    public class CentaineDeck : Deck
    {
        public CentaineDeck(int nbCard, decimal borneMin, decimal borneMax) : base(nbCard)
        {
            Random random = new Random();
            int borneMinRandom = (int)(borneMin * 100);
            int borneMaxRandom = (int)(borneMax * 100);
            while (deck.Count < nbCard && deck.Count < (borneMaxRandom - borneMinRandom))
            {
                int value = random.Next(borneMinRandom, borneMaxRandom);
                InsertionDichotomique(deck, 0, deck.Count-1, new FractionCard(new Fraction(value, 100, 3)));
            }
        }
    }
}
